Bug 926 - При сборке не находится db_185.h
: При сборке не находится db_185.h
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel24-up)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-05-14 19:27 by
Modified: 2009-05-10 09:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-05-14 19:27:14
При попытке пересборки ядра получаю следующую ошибку:

*** Install db development libraries
gcc -I/usr/include -I. -ldb1 -ldb_cxx -lstdc++ aicasm_gram.c aicasm_scan.c
aicas
m.c aicasm_symbol.c
-o aicasm
aicasm_symbol.c:47:19: aicdb.h: No such file or directory


---

---
Смотрим в файл /usr/src/RPM/BUILD/linux/drivers/scsi/aic7xxx/aicasc/Makefile

aicdb.h:
        @if [ -e \"/usr/include/db3/db_185.h\" ]; then            \\
                echo \"#include <db3/db_185.h>\" > aicdb.h; 
     \\
         elif [ -e \"/usr/include/db2/db_185.h\" ]; then          \\
                echo \"#include <db2/db_185.h>\" > aicdb.h; 
     \\
         elif [ -e \"/usr/include/db/db_185.h\" ]; then           \\
                echo \"#include <db/db_185.h>\" > aicdb.h;  
     \\
         elif [ -e \"/usr/include/db_185.h\" ]; then              \\
                echo \"#include <db_185.h>\" > aicdb.h;     
     \\
         else                                                   \\
                echo \"*** Install db development libraries\";    \\
         fi

Тем не менее, в kernel24-*.src.rpm прописаны зависимости только
от libdb1-devel и libdb4-devel-static, но не от libdb[2,3]-devel.

Исправления видится два: подправить Makefile, чтобы использовалась db4 или
поставить зависимость на 
libdb2-devel (libdb3-devel конфликтует с libdb4-devel).
------- Comment #1 From 2002-10-21 14:19:02 -------
Fixed
------- Comment #2 From 2002-10-21 14:19:02 -------
Fixed